Assign tests to campaign
Assigns existing tests to the campaign. A test already assigned to another campaign is silently moved.
post
Authorizations
AuthorizationstringRequired
All requests require Authorization: Bearer sl_live_<your_api_key>. Generate a key from the Shoplift admin's API Keys settings page.
Path parameters
idstring · uuidRequired
Body
testIdsstring · uuid[]Required
Responses
200
OK
application/json
idstring · uuidRequired
namestringRequired
objectivestring · nullableRequired
goalundefined · enum · nullableRequiredPossible values:
statusundefined · enumRequiredPossible values:
createdAtstring · date-timeRequired
400
Bad Request
application/problem+json
403
Forbidden
application/problem+json
404
Not Found
application/problem+json
409
Conflict
application/problem+json
422
Unprocessable Entity
application/problem+json
429
Too Many Requests
application/problem+json
post/api/public/v1/campaigns/{id}/tests
POST /api/public/v1/campaigns/{id}/tests HTTP/1.1
Host: app.shoplift.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 52
{
"testIds": [
"123e4567-e89b-12d3-a456-426614174000"
]
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"objective": null,
"goal": null,
"status": "active",
"createdAt": "2026-01-01T00:00:00.000Z",
"progress": {
"total": 1,
"live": 1,
"paused": 1,
"draft": 1,
"ended": 1
}
}Last updated
Was this helpful?